appstream-glib (0.8.3-3) unstable; urgency=medium

  * Drop appstream-util package
    - This is done in preparation of the full removal of this package
      from the Debian archive. This project is no longer actively
      maintained, does not validate or process current metadata cleanly,
      and should no longer be relied on.
    - Replace any use of appstream-util with appstreamcli, the
      libappstream-glib library can be replaced with libappstream.

 -- Matthias Klumpp <mak@debian.org>  Thu, 05 Mar 2026 10:50:10 +0100

appstream-glib (0.8.3-2) unstable; urgency=medium

  * Team upload
  * Remove unnecessary Build-Depends: libgirepository1.0-dev
  * Bump Standards Version to 4.7.2

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 21 Oct 2025 13:50:28 -0400

appstream-glib (0.8.3-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Remove remaining patch: applied in new release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 04 Apr 2025 15:54:08 -0400

appstream-glib (0.8.2-2) unstable; urgency=medium

  * Team upload

  [ John Scott ]
  * Have libappstream-glib-dev suggest the documentation

  [ Jeremy Bícha ]
  * Remove obsolete Depends: libsoup2.4-dev (Closes: #1100918)
  * Remove obsolete Build-Depends: libgcab-dev
  * Remove alternative Build-Depends libgdk-pixbuf2.0-dev, libcurl-dev
  * Remove ancient Breaks/Replaces
  * Remove obsolete Pre-Depends
  * Bump debhelper compat to 13
  * Enable all hardening flags
  * Simplify debian/rules
  * Update gir handling
  * Bump Standards Version to 4.7.0

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 04 Apr 2025 09:45:55 -0400

appstream-glib (0.8.2-1.1) unstable; urgency=medium

  * NMU upload
    Resolve FTBFS due to yaml mime content-type changes
    yaml_content_type.patch (Closes: #1057394)

 -- David Mohammed <fossfreedom@ubuntu.com>  Sun, 17 Mar 2024 10:50:27 +0000

appstream-glib (0.8.2-1) unstable; urgency=medium

  [ Matthias Klumpp ]
  * New upstream version 0.8.2

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable)

 -- Matthias Klumpp <mak@debian.org>  Mon, 14 Nov 2022 18:54:22 +0100

appstream-glib (0.8.1-1) unstable; urgency=medium

  * New upstream version: 0.8.1
  * Drop all patches: Applied upstream

 -- Matthias Klumpp <mak@debian.org>  Mon, 22 Aug 2022 20:54:16 +0200

appstream-glib (0.8.0-1) unstable; urgency=medium

  * New upstream version: 0.8.0
  * Drop all patches: Applied upstream
  * Add properly-initialize-AsNodeToXmlHelper.patch,
    validate-initialize-proxy-resolver.patch:
    - Fixes crashes as well as test issues
  * Depend on libcurl instead of libsoup
  * Update symbols file

 -- Matthias Klumpp <mak@debian.org>  Mon, 01 Aug 2022 22:58:56 +0200

appstream-glib (0.7.18-2) unstable; urgency=medium

  [ Sebastian Krzyszkowiak ]
  * Backport upstream fixes for DEP-11 parsing

  [ Matthias Klumpp ]
  * Bump standards version (no changes needed)
  * Don't use removed Meson build flags (Closes: #998609)

 -- Matthias Klumpp <mak@debian.org>  Sun, 07 Nov 2021 19:38:32 +0100

appstream-glib (0.7.18-1) unstable; urgency=medium

  [ Matthias Klumpp ]
  * New upstream version: 0.7.18
  * Drop patches: Applied upstream
  * Update symbols file for new release

  [ Debian Janitor ]
  * Wrap long lines in changelog entries: 0.6.13-1, 0.6.9-1.
  * Set upstream metadata fields: Bug-Submit.

  [ Simon McVittie ]
  * Preferentially (build-)depend on libgdk-pixbuf-2.0-dev

 -- Matthias Klumpp <mak@debian.org>  Tue, 22 Dec 2020 00:14:10 +0100

appstream-glib (0.7.17-1) unstable; urgency=medium

  * Team upload.
  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Repository, Repository-
    Browse.
  * Update standards version to 4.4.1, no changes needed.

  [ Laurent Bigonville ]
  * New upstream version 0.7.17 (Closes: #949169)
  * debian/control: Bump libglib2.0-dev (build-)dependency to 2.58.0
  * d/p/0001-Properly-initialize-unique_id_mutex.patch: Fix FTBFS on non-linux
  * debian/control: Add severals -doc packages to the BDI to fix links between
    doc files
  * debian/libappstream-glib8.symbols: Remove as_app_parse_desktop_kf, never
    meant to be public
  * debian/libappstream-glib8.symbols: Add Build-Depends-Package field
  * debian/control: Make the -dev and gir pkg ma:same and -doc ma:foreign
  * debian/control: Bump Standards-Version to 4.5.0 (no further changes)

 -- Laurent Bigonville <bigon@debian.org>  Thu, 16 Apr 2020 11:32:17 +0200

appstream-glib (0.7.16-1) unstable; urgency=medium

  * New upstream version 0.7.16
  * Set maintainer to PkgUtopia team (Closes: #915705)
    - This should have been done a while back :-)
  * Switch to dh compat level 12
  * Drop build dependency on SQLite
  * Update .symbols file
  * Bump standards version: No changes needed

 -- Matthias Klumpp <mak@debian.org>  Tue, 01 Oct 2019 18:56:42 +0200

appstream-glib (0.7.14-1) unstable; urgency=medium

  * Team upload
  * New upstream version: 0.7.14
  * Update .symbols file

 -- Jeremy Bicha <jbicha@debian.org>  Wed, 05 Dec 2018 16:29:52 -0500

appstream-glib (0.7.12-1) unstable; urgency=medium

  * New upstream version: 0.7.12
  * Update .symbols file
  * Bump standards version: No changes needed

 -- Matthias Klumpp <mak@debian.org>  Wed, 22 Aug 2018 22:52:06 +0200

appstream-glib (0.7.10-1) unstable; urgency=medium

  * New upstream version: 0.7.10
  * Bump standards version: No changes needed
  * Drop tests-Fix-gcab-executable-requirement.patch: No longer needed
  * Update .symbols file

 -- Matthias Klumpp <mak@debian.org>  Mon, 30 Jul 2018 12:15:34 +0800

appstream-glib (0.7.7-2) unstable; urgency=medium

  * Team upload.
  * Have libappstream-glib-dev depend on libsoup2.4-dev and libyaml-dev
    to match pkgconfig file generated by meson >= 0.45. See bug 892956

 -- Jeremy Bicha <jbicha@debian.org>  Fri, 16 Mar 2018 17:20:23 -0400

appstream-glib (0.7.7-1) unstable; urgency=medium

  [ Matthias Klumpp ]
  * New upstream version: 0.7.7
  * Update Vcs-* URLs for switch to Salsa
  * d/libappstream-glib8.symbols: Update symbols
  * Switch to dh compat level 11
  * d/copyright: Use secure URLs

  [ Iain Lane ]
  * New upstream version: 0.7.6
    - Builds properly (Closes: #890893)
    - Add support for release types
    - Do not deference invalid lists when parsing invalid desktop files (LP:
      #1744941)
    - Fix an invalid read when using as_app_parse_data() from Python
    - Never include '&' in attribute values
    - Add as_app_parse_data()
    - Add as_store_get_apps_by_provide()
    - Add more GObject Introspection annotations for Python
    - Support OARS v1.1 additions
    - Use pngquant to make the application icons take up less space
  * Fix meson options to drop 'enable', following upstream.
  * debian/control: Bump json-glib version, following upstream.
  * debian/libappstream-glib8.symbols: New symbols for these releases.

 -- Matthias Klumpp <mak@debian.org>  Thu, 15 Mar 2018 08:34:36 +0100

appstream-glib (0.7.4-1) unstable; urgency=medium

  * New upstream version 0.7.4
    - Resolves test failure on i386 (Closes: #878311)
  * Bump standards version: No changes needed
  * Drop no-flatpak-default-origin-fallback.patch: Applied upstream
  * Update .symbols file

 -- Matthias Klumpp <mak@debian.org>  Thu, 09 Nov 2017 18:38:46 +0100

appstream-glib (0.7.2-1) unstable; urgency=medium

  * New upstream version: 0.7.2
  * Drop all patches (applied upstream) except for
    tests-Fix-gcab-executable-requirement.patch, which was updated for the
    current release
  * no-flatpak-default-origin-fallback.patch: Don't assume Flatpak as
    origin if no origin is set
  * Bump standards version: No changes needed

 -- Matthias Klumpp <mak@debian.org>  Sun, 08 Oct 2017 19:02:42 +0200

appstream-glib (0.7.1-2) unstable; urgency=medium

  * Add conditionalize-speed-tests.patch: Don't run speed tests on slow
    architectures (Closes: #870833)
  * Add fix-tests.patch: Make tests work properly again
  * Add prefer-metainfo.patch: Prefer the metainfo directory, instead of
    defaulting to the legacy location
  * Add relax-id-constraints.patch: Validate component ID according to the
    specification, with relaxed constraints

 -- Matthias Klumpp <mak@debian.org>  Thu, 17 Aug 2017 19:18:34 +0200

appstream-glib (0.7.1-1) unstable; urgency=medium

  * New upstream version: 0.7.1
    - Install appdata-xml.m4 (Closes: #870710)
  * d/rules: Use fail-missing
  * Refresh gcab patch

 -- Matthias Klumpp <mak@debian.org>  Fri, 04 Aug 2017 17:18:48 -0400

appstream-glib (0.7.0-1) unstable; urgency=medium

  [ Iain Lane ]
  * New upstream version: 0.7.0
  * tests-Fix-gcab-executable-requirement.patch: Replace with
    latest version.

  [ Matthias Klumpp ]
  * Upload to unstable
  * Drop appdata-tools transitional package
  * Bump standards version: No changes needed
  * Depend on gobject-introspection for GIR dh addon

  [ Dan Nicholson ]
  * debian/rules: Pass --with gir to calculate ${gir:Depends}
    - Closes: #860836

 -- Matthias Klumpp <mak@debian.org>  Thu, 03 Aug 2017 15:20:12 -0400

appstream-glib (0.7.0~git20170615-1) experimental; urgency=medium

  * [62bc645] New upstream version 0.7.0~git20170615
    + This is an upstream snapshot created with `git archive' from commit
      c74fa38af1cac2d259c62df4d4a0b852375bcbd3.
  * [82c3da3] debian/{control,rules}: Switch to meson. There's a 'configure'
    script, which debhelper uses by default. Pass '-Smeson' to force the meson
    build system.
  * [b54361c] debian/libappstream-glib8.symbols: Update for this release.
    as_get_resource() is dropped, but that is a leaked symbol that shouldn't
    have been exposed anyway. I'm letting it slide.
  * [6b73653] debian/control: Drop intltool. No longer used.
  * [fa5a9d7] Conditionally skip test which requires 'gcab' if it isn't
    installed
  * [55419a6] Run the tests

 -- Iain Lane <laney@debian.org>  Thu, 15 Jun 2017 17:51:33 +0100

appstream-glib (0.6.13-1) experimental; urgency=medium

  * [e21c344] New upstream version 0.6.9
  * [be4e66a] gbp.conf: Set branch to experimental
  * [c5ab30a] New upstream version 0.6.13
    - Add a 'check-component' command to appstream-util
    - Add as_app_remove_category() and as_app_remove_kudo()
    - Add as_utils_guid_from_data()
    - Add functions for getting the AsApp and AsStore search match
    - Add support for icon scaling
    - Add support for <launchable>
    - Allow using the app origin as a search keyword
    - Validate kudos in AppData and AppStream files
    - Add initial support for Mozilla .xpi translations
    - Make content_rating required for any component with a 'Game' category
  * [71c4081] debian/patches: Drop, applied in this release.
  * [bdb05dc] debian/libappstream-glib8.symbols: Update with new symbols for
    these releases

 -- Iain Lane <laney@debian.org>  Fri, 12 May 2017 16:52:59 +0100

appstream-glib (0.6.9-1) experimental; urgency=medium

  * New upstream version 0.6.9
    - Add AsFormat object and deprecate app_set_source_file() (Richard Hughes)
    - Do not set the AsApp state using the AsRelease state (Richard Hughes)
    - Fail to validate if any release is in the future (Richard Hughes)
    - Fail to validate if the release children are in the wrong order (Richard
      Hughes)
  * debian/patches/0001-as-node-Add-back-as_node_context_-get-set-_source_ki.patch:
    Backport patch from upstream to restore some symbols & keep ABI
    compatibility.
  * debian/libappstream-glib8.symbols: Update with new symbols.

 -- Iain Lane <laney@debian.org>  Tue, 28 Feb 2017 17:54:19 +0000

appstream-glib (0.6.8-1) unstable; urgency=medium

  * New upstream version 0.6.8
  * Drop all patches: Applied upstream

 -- Matthias Klumpp <mak@debian.org>  Sun, 05 Feb 2017 16:09:19 +0100

appstream-glib (0.6.7-1) unstable; urgency=medium

  * New upstream version: 0.6.7
    - Closes: #851646
  * Drop scan-metainfo.patch: Applied upstream
  * support-custom.patch: Support the <custom/> tag
  * Update .symbols file

 -- Matthias Klumpp <mak@debian.org>  Thu, 19 Jan 2017 20:34:06 +0100

appstream-glib (0.6.6-1) unstable; urgency=medium

  * New upstream version: 0.6.6
  * scan-metainfo.patch: Scan for data in /usr/share/metainfo
    when composing collection data
  * Update symbols file

 -- Matthias Klumpp <mak@debian.org>  Thu, 22 Dec 2016 20:10:42 +0100

appstream-glib (0.6.5-1) unstable; urgency=medium

  * New upstream version 0.6.5 (Closes: #844177)
    + Add app-removed, app-added and app-changed signals to AsStore
    + Add as_store_load_search_cache()
    + Add a 'watch' command to appstream-util
    + Allow only loading native languages when parsing AppStream
    + Allow the client to control what search fields are indexed
  * debian/patches: Drop, the only patch is applied upstream.
  * debian/libappstream-glib8.symbols: Update with new symbols in this
    release.
  * debian/compat, debian/control: Use debhelper compat level 10.

 -- Iain Lane <laney@debian.org>  Mon, 05 Dec 2016 17:32:08 +0000

appstream-glib (0.6.4-2) unstable; urgency=medium

  * Build-depend on autoconf-archive (Closes: #837859)

 -- Matthias Klumpp <mak@debian.org>  Fri, 21 Oct 2016 13:58:32 +0200

appstream-glib (0.6.4-1) unstable; urgency=medium

  * New upstream version: 0.6.4
  * fix-crash-addon.patch: Revert wrong commit which causes
    GNOME Software crash.
  * Update symbols file.

 -- Matthias Klumpp <mak@debian.org>  Fri, 21 Oct 2016 10:28:56 +0200

appstream-glib (0.6.3-1) unstable; urgency=medium

  * Imported Upstream version 0.6.3
  * debian/rules: Run dpkg-gensymbols with -c4, to error out on symbols file
    problems.
  * d/p/0001-Don-t-show-a-critical-warning-on-invalid-yaml-file.patch:
    Cherry-pick upstream patch to not error out on invalid Categories fields
    in the yaml input.

 -- Iain Lane <laney@debian.org>  Wed, 05 Oct 2016 17:31:37 +0100

appstream-glib (0.6.2-1) unstable; urgency=medium

  * New upstream release: 0.6.2
  * Update symbols file

 -- Matthias Klumpp <mak@debian.org>  Wed, 31 Aug 2016 08:00:08 +0200

appstream-glib (0.6.1-1) unstable; urgency=medium

  * New upstream release: 0.6.1
  * Drop all patches: Applied upstream
  * Build-depend on gperf
  * Update symbols file

 -- Matthias Klumpp <mak@debian.org>  Tue, 16 Aug 2016 19:48:46 +0200

appstream-glib (0.5.17-1) unstable; urgency=medium

  * New upstream release: 0.5.17
    - Closes: #833293
  * no-redundant-monitor.patch: Fix redundant monitoring of files
  * read-component-types.patch: Read modern component type names
  * yaml-fix-component-types.patch: Fix reading of components that aren't apps
  * Update symbols file
  * Make dev package depend on GIR package (Closes: #833290)

 -- Matthias Klumpp <mak@debian.org>  Thu, 11 Aug 2016 19:54:06 +0200

appstream-glib (0.5.16-1) unstable; urgency=medium

  * New upstream release: 0.5.16
  * Drop patches: Applied upstream

 -- Matthias Klumpp <mak@debian.org>  Wed, 29 Jun 2016 22:54:16 +0200

appstream-glib (0.5.14-3) unstable; urgency=medium

  * Update yaml-icon-spec-compliant.patch to correctly set icon prefixes

 -- Matthias Klumpp <mak@debian.org>  Sat, 30 Apr 2016 10:18:42 +0200

appstream-glib (0.5.14-2) unstable; urgency=medium

  * yaml-icon-spec-compliant.patch: Correctly implement the DEP-11 YAML
    specification for icons (LP: #1576780).

 -- Matthias Klumpp <mak@debian.org>  Fri, 29 Apr 2016 18:22:54 +0200

appstream-glib (0.5.14-1) unstable; urgency=medium

  * New upstream release: 0.5.14
  * Drop all patches: Applied upstream
  * Update .symbols file
  * Use secure Vcs-* URLs

 -- Matthias Klumpp <mak@debian.org>  Mon, 25 Apr 2016 17:36:46 +0200

appstream-glib (0.5.13-1) unstable; urgency=medium

  * New upstream release: 0.5.13
  * xappstreamignore.patch: Support the X-AppStream-Ignore field
    in .desktop files
  * Add build dependency: libjson-glib-dev
  * Update symbols file

 -- Matthias Klumpp <mak@debian.org>  Wed, 06 Apr 2016 14:09:09 +0200

appstream-glib (0.5.10-2) unstable; urgency=medium

  * fix-parameter-order.patch:
    - Fix loading of AppStream metadata
  * support-mediabaseurl.patch:
    - Implement DEP-11 MediaBaseUrl support (Closes: #808993)

 -- Matthias Klumpp <mak@debian.org>  Fri, 04 Mar 2016 20:06:26 +0100

appstream-glib (0.5.10-1) unstable; urgency=medium

  * New upstream release: 0.5.10
  * Update symbols file

 -- Matthias Klumpp <mak@debian.org>  Sun, 28 Feb 2016 18:28:42 +0100

appstream-glib (0.5.8-1) unstable; urgency=medium

  * New upstream release: 0.5.8
  * Update symbols file

 -- Matthias Klumpp <mak@debian.org>  Thu, 04 Feb 2016 14:49:35 +0100

appstream-glib (0.5.5-1) unstable; urgency=medium

  * New upstream release: 0.5.5
  * Update package descriptions
  * Update symbols file

 -- Matthias Klumpp <mak@debian.org>  Thu, 17 Dec 2015 08:20:14 +0100

appstream-glib (0.5.4-1) unstable; urgency=medium

  * New upstream release: 0.5.4
  * Drop patches: Applied upstream
  * Update symbols file

 -- Matthias Klumpp <mak@debian.org>  Fri, 04 Dec 2015 16:44:18 +0100

appstream-glib (0.5.2-2) unstable; urgency=medium

  * libappstream-glib-dev: Requires libgcab to be installed now

 -- Matthias Klumpp <mak@debian.org>  Thu, 05 Nov 2015 19:24:12 +0100

appstream-glib (0.5.2-1) unstable; urgency=medium

  * New upstream release: 0.5.2
    - Closes: #803327
  * Tighten dependency on GLib
  * 01_Strip-paths-when-decompressing-fw.patch: Fix firmware update support
  * Drop 01_fix-dep11.patch: Applied upstream
  * Add build-dependency on libgcab-dev to enable firmware support

 -- Matthias Klumpp <mak@debian.org>  Mon, 02 Nov 2015 18:26:34 +0100

appstream-glib (0.5.1-1) unstable; urgency=medium

  * New upstream release: 0.5.1
  * 01_fix-dep11.patch: Make asglib process DEP-11 data again
  * Drop appdata-validate: Nobody should use it anymore
  * Disable tests

 -- Matthias Klumpp <mak@debian.org>  Wed, 14 Oct 2015 18:56:58 +0200

appstream-glib (0.4.1-1) unstable; urgency=medium

  * New upstream bugfix release: 0.4.1
    - Closes: #791860
  * Add dependency on libarchive-dev to libappstream-glib-dev
    (Closes: #789578)
  * Drop patches: Applied upstream
  * Update symbols file

 -- Matthias Klumpp <mak@debian.org>  Mon, 20 Jul 2015 20:12:02 +0200

appstream-glib (0.4.0-1) unstable; urgency=medium

  * Upload to unstable
  * New upstream release: 0.4.0
    - Closes: #787590
  * Drop unneeded build dependencies
  * Enable unittests and autoreconf again
  * Fix autogen run with current intltool
  * Add symbols file for appstream-glib

 -- Matthias Klumpp <mak@debian.org>  Fri, 05 Jun 2015 14:20:32 +0200

appstream-glib (0.3.4-1) experimental; urgency=medium

  * New upstream unstable release: 0.3.4
  * Make appstream-util break appdata-tools (Closes: #768269)

 -- Matthias Klumpp <mak@debian.org>  Tue, 03 Feb 2015 20:38:42 +0100

appstream-glib (0.3.2-2) experimental; urgency=medium

  * Provide appdata-tools transitional package (Closes: #768269)
    - Thanks to Iain Lane for the patch!

 -- Matthias Klumpp <mak@debian.org>  Sun, 01 Feb 2015 16:32:10 +0100

appstream-glib (0.3.2-1) unstable; urgency=medium

  * New upstream unstable release: 0.3.2

 -- Matthias Klumpp <mak@debian.org>  Tue, 04 Nov 2014 18:17:58 +0100

appstream-glib (0.3.0-1) unstable; urgency=medium

  * Initial release (Closes: #752900)

 -- Matthias Klumpp <mak@debian.org>  Tue, 23 Sep 2014 16:50:18 +0200
